Subject: Re: bug#30060: mh-send-letter coding-system selection

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Jan 2018 17:28:31 +0200

> From: Glenn Morris <[email-masked]>
> Date: Wed, 10 Jan 2018 01:50:53 -0500
> 
>         (coding-system-for-write
>          (if (and (local-variable-p 'buffer-file-coding-system
>                                     (current-buffer)) ;XEmacs needs two args
>                   ;; We're not sure why, but buffer-file-coding-system
>                   ;; tends to get set to undecided-unix.
>                   (not (memq buffer-file-coding-system
>                              '(undecided undecided-unix undecided-dos))))
>              buffer-file-coding-system
>            (or (and (boundp 'sendmail-coding-system) sendmail-coding-system)
>                (and (default-boundp 'buffer-file-coding-system)
>                     (default-value 'buffer-file-coding-system))
>                'iso-latin-1))))
> 
> This is similar to, but not quite the same as, the standard Emacs
> function select-message-coding-system that exists specifically for this
> purpose. Eg the mh-e version does not consult default-sendmail-coding-system.
> 
> It would be great if mh-e could use the standard function

Indeed.

> or if not have some comments added to the code explaining the
> reason(s) for the difference(s).

I'd be surprised to hear there are any reasons except some historical
accident.

Thanks.